com.fasterxml.jackson.jaxrs.cfg

## Class EndpointConfigBase<THIS extends EndpointConfigBase<THIS>>

- java.lang.Object
- - com.fasterxml.jackson.jaxrs.cfg.EndpointConfigBase<THIS>

    public abstract class EndpointConfigBase<THIS extends EndpointConfigBase<THIS>>
    extends Object

Container class for figuring out annotation-based configuration for JAX-RS end points.

### Field Summary

Fields
`protected Class<?>` `_activeView`
`protected com.fasterxml.jackson.databind.cfg.MapperConfig<?>` `_config`
`protected com.fasterxml.jackson.databind.DeserializationFeature[]` `_deserDisable`
`protected com.fasterxml.jackson.databind.DeserializationFeature[]` `_deserEnable`
`protected com.fasterxml.jackson.databind.ObjectReader` `_reader`
`protected String` `_rootName`
`protected com.fasterxml.jackson.databind.SerializationFeature[]` `_serDisable`
`protected com.fasterxml.jackson.databind.SerializationFeature[]` `_serEnable`
`protected com.fasterxml.jackson.databind.ObjectWriter` `_writer`

### Constructor Summary

Constructors
`protected` `EndpointConfigBase(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected THIS` `add(Annotation[] annotations, boolean forWriting)`
`protected void` `addAnnotation(Class<? extends Annotation> type, Annotation annotation, boolean forWriting)`
`Class<?>` `getActiveView()`
`com.fasterxml.jackson.databind.ObjectReader` `getReader()`
`String` `getRootName()`
`com.fasterxml.jackson.databind.ObjectWriter` `getWriter()`
`protected THIS` `initReader(com.fasterxml.jackson.databind.ObjectReader reader)`
`protected THIS` `initWriter(com.fasterxml.jackson.databind.ObjectWriter writer)`
`abstract Object` `modifyBeforeWrite(Object value)`
`protected static <T> T[]` `nullIfEmpty(T[] arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _config

    protected final com.fasterxml.jackson.databind.cfg.MapperConfig<?> _config

Since:
  2.6

#### _activeView

    protected Class<?> _activeView

#### _rootName

    protected String _rootName

#### _deserEnable

    protected com.fasterxml.jackson.databind.DeserializationFeature[] _deserEnable

#### _deserDisable

    protected com.fasterxml.jackson.databind.DeserializationFeature[] _deserDisable

#### _reader

    protected com.fasterxml.jackson.databind.ObjectReader _reader

#### _serEnable

    protected com.fasterxml.jackson.databind.SerializationFeature[] _serEnable

#### _serDisable

    protected com.fasterxml.jackson.databind.SerializationFeature[] _serDisable

#### _writer

    protected com.fasterxml.jackson.databind.ObjectWriter _writer

### Constructor Detail

#### EndpointConfigBase

    protected EndpointConfigBase(com.fasterxml.jackson.databind.cfg.MapperConfig<?> config)

### Method Detail

#### add

    protected THIS add(Annotation[] annotations,
                       boolean forWriting)

#### addAnnotation

    protected void addAnnotation(Class<? extends Annotation> type,
                                 Annotation annotation,
                                 boolean forWriting)

#### initReader

    protected THIS initReader(com.fasterxml.jackson.databind.ObjectReader reader)

#### initWriter

    protected THIS initWriter(com.fasterxml.jackson.databind.ObjectWriter writer)

#### getRootName

    public String getRootName()

Since:
  2.3

#### getActiveView

    public Class<?> getActiveView()

Since:
  2.3

#### getReader

    public final com.fasterxml.jackson.databind.ObjectReader getReader()

#### getWriter

    public final com.fasterxml.jackson.databind.ObjectWriter getWriter()

#### modifyBeforeWrite

    public abstract Object modifyBeforeWrite(Object value)

#### nullIfEmpty

    protected static <T> T[] nullIfEmpty(T[] arg)